Package org.springframework.security.access.expression.method

# Class ExpressionBasedPostInvocationAdvice

java.lang.Object
org.springframework.security.access.expression.method.ExpressionBasedPostInvocationAdvice

All Implemented Interfaces:
  `org.springframework.aop.framework.AopInfrastructureBean`, `PostInvocationAuthorizationAdvice`

@Deprecated public class ExpressionBasedPostInvocationAdvice extends Object implements PostInvocationAuthorizationAdvice
Deprecated.
Use `AuthorizationManagerAfterMethodInterceptor` instead

Since:
  3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final org.apache.commons.logging.Log`
`logger`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`ExpressionBasedPostInvocationAdvice(MethodSecurityExpressionHandler expressionHandler)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Object`
`after(Authentication authentication, org.aopalliance.intercept.MethodInvocation mi, PostInvocationAttribute postAttr, Object returnedObject)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

protected final org.apache.commons.logging.Log logger
Deprecated.

## Constructor Details

### ExpressionBasedPostInvocationAdvice

public ExpressionBasedPostInvocationAdvice(MethodSecurityExpressionHandler expressionHandler)
Deprecated.

## Method Details

### after

public Object after(Authentication authentication, org.aopalliance.intercept.MethodInvocation mi, PostInvocationAttribute postAttr, Object returnedObject) throws AccessDeniedException
Deprecated.

Specified by:
  `after` in interface `PostInvocationAuthorizationAdvice`
Throws:
  `AccessDeniedException`